import request from '@/utils/request'

// 查询员工PPE检查记录列表
export function listMain(query) {
  return request({
    url: '/production/main/list',
    method: 'get',
    params: query
  })
}

export function getLastCheckData(query) {
  return request({
    url: '/production/main/lastCheckData',
    method: 'get',
    params: query
  })
}

// 查询员工PPE检查记录详细
export function getMain(id) {
  return request({
    url: '/production/main/' + id,
    method: 'get'
  })
}

// 新增员工PPE检查记录
export function addMain(data) {
  return request({
    url: '/production/main',
    method: 'post',
    data: data
  })
}

// 修改员工PPE检查记录
export function updateMain(data) {
  return request({
    url: '/production/main',
    method: 'put',
    data: data
  })
}

// 删除员工PPE检查记录
export function delMain(id) {
  return request({
    url: '/production/main/' + id,
    method: 'delete'
  })
}

// 导出员工PPE检查记录
export function exportMain(query) {
  return request({
    url: '/production/main/export',
    method: 'get',
    params: query
  })
}
